%define oname Falcon

%define major 1
%define libname %mklibname falcon_engine %{major}
%define devname %mklibname %{name} -d

Summary:	The Falcon Programming Language
Name:		falcon
Version:	0.9.6.8
Release:	1
License:	GPLv2+
Group:		Development/Other
Url:		http://www.falconpl.org/
Source0:	http://www.falconpl.org/project_dl/_official_rel/%{oname}-%{version}.tgz
Patch0:		Falcon-0.9.6.8-mongo-cmake-linux-x64.patch
Patch1:		Falcon-0.9.6.8-mongo-stdint.patch
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(zlib)

%description
The Falcon Programming Language is an embeddable scripting language
aiming to empower even simple applications with a powerful,
flexible, extensible and highly configurable scripting engine.

Falcon is also a standalone multiplatform scripting language that
aims to be both simple and powerful.

%files
%doc AUTHORS ChangeLog copyright README RELNOTES LICENSE LICENSE_GPLv2
%{_bindir}/falcon
%{_bindir}/falconenv.sh
%{_bindir}/faldisass
%{_bindir}/faldoc
%{_bindir}/fallc.fal
%{_bindir}/falrun
%{_bindir}/falpack
%{_bindir}/icomp.sh
%{_libdir}/falcon
%{_datadir}/falcon
%{_mandir}/man1/falcon.1.*
%{_mandir}/man1/faldisass.1.*
%{_mandir}/man1/fallc.fal.1.*
%{_mandir}/man1/falrun.1.*
%{_mandir}/man1/falpack.1.*
%exclude %{_datadir}/falcon/cmake

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Conflicts:	%{name} < 0.9.6.8

%description -n %{libname}
Shared library for %{name}.

%files -n %{libname}
%{_libdir}/libfalcon_engine.so.%{major}*

#--------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 0.9.6.8
Obsoletes:	%{name}-devel < 0.9.6.8

%description -n %{devname}
The Falcon Programming Language is an embeddable scripting language
aiming to empower even simple applications with a powerful,
flexible, extensible and highly configurable scripting engine.

Falcon is also a standalone multiplatform scripting language that
aims to be both simple and powerful.

This package contains development files for %{name}. This is not
necessary for using the %{name} interpreter.

%files -n %{devname}
%{_bindir}/falcon-conf
%{_bindir}/falconeer.fal
%{_bindir}/faltest
%{_datadir}/cmake/faldoc/faldoc-config.cmake
%{_datadir}/falcon/cmake/*.cmake
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man1/falcon-conf*
%{_mandir}/man1/falconeer.fal*
%{_mandir}/man1/faltest*

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%cmake \
	-DFALCON_SHARE_DIR=%{_datadir}/%{name} \
	-DFALCON_BUILD_GTK:BOOL=OFF
%make

%install
%makeinstall_std -C build


%changelog

* Sun May 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.6.8-1
- (5b54c11) Try not to force libdir


